Webhooks

Checkout session expired

Sent when an open or pending checkout session is expired with POST /v2/checkout-sessions/{id}/expire. A session that only reaches its expiry time without being paid does not send this event.

Sent when an open or pending checkout session is expired with POST /v2/checkout-sessions/{id}/expire. A session that only reaches its expiry time without being paid does not send this event.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

The envelope for all webhook event deliveries. Contains the event type, timestamp, and the affected object in the data field.

Response Body

Example Requests

The envelope for all webhook event deliveries. Contains the event type, timestamp, and the affected object in the data field.

POST/checkout.session.expired